diff --git a/PKGBUILD b/PKGBUILD
index 2c25a554efbc8a57e9ba45b256161b81451e3c8d..6b753523288827b3c8685f70c466585817ad6d2b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,11 +1,12 @@
 # Maintainer: Recolic Keghart <root@recolic.net>
 # Original repo: https://git.recolic.net/root/shared-bootdir-helper
+# Mirror: https://github.com/recolic/shared-bootdir-helper
 
 pkgname=shared-bootdir-helper
 pkgver=1.0
 pkgrel=1
-pkgdesc="Allow multiple linux installations to share the same /boot directory. Useful for deniable encryption. "
-url="https://github.com/recolic/$pkgname"
+pkgdesc="Allow multiple linux installations to share the same /boot directory, even with different kernel parameters. "
+url="https://git.recolic.net/root/$pkgname"
 license=("GPL3")
 arch=("any")
 depends=("bash" "sed" "grep" "mkinitcpio")
@@ -21,8 +22,13 @@ sha256sums=(
 )
 
 package() {
-    mkdir -p "$pkgdir/opt" "$pkgdir/usr/bin" &&
-    cp -r "$pkgname-$pkgver" "$pkgdir/opt/vivado-wrapper" &&
-    ln -s "/opt/vivado-wrapper/vivado-wrapper" "$pkgdir/usr/bin/vivadow"
+    echo "DO NOT INSTALL ME! it's not finished..."
+    return 1
+
+    mkdir -p "$pkgdir/etc" "$pkgdir/usr/bin" "$pkgdir/usr/share/libalpm/hooks" &&
+    cp src/*.cfg "$pkgdir/etc/" &&
+    cp src/*.sh "$pkgdir/usr/bin/" &&
+    cp src/*.hook "$pkgdir/usr/share/libalpm/hooks/" ||
+    return $?
 }
 
diff --git a/55-check-boot-mounted.hook b/src/55-check-boot-mounted.hook
similarity index 100%
rename from 55-check-boot-mounted.hook
rename to src/55-check-boot-mounted.hook
diff --git a/85-call-kernel-rename.hook b/src/85-call-kernel-rename.hook
similarity index 100%
rename from 85-call-kernel-rename.hook
rename to src/85-call-kernel-rename.hook
diff --git a/hook-check-bootdir-mounted.sh b/src/hook-check-bootdir-mounted.sh
similarity index 100%
rename from hook-check-bootdir-mounted.sh
rename to src/hook-check-bootdir-mounted.sh
diff --git a/hook-kernel-rename.sh b/src/hook-kernel-rename.sh
similarity index 100%
rename from hook-kernel-rename.sh
rename to src/hook-kernel-rename.sh
diff --git a/shared-bootdir-helper-multi-kparam.cfg b/src/shared-bootdir-helper-multi-kparam.cfg
similarity index 100%
rename from shared-bootdir-helper-multi-kparam.cfg
rename to src/shared-bootdir-helper-multi-kparam.cfg
diff --git a/shared-bootdir-helper-multi-kparam b/src/shared-bootdir-helper-multi-kparam.sh
similarity index 100%
rename from shared-bootdir-helper-multi-kparam
rename to src/shared-bootdir-helper-multi-kparam.sh